package com.colorful.keyboard.theme.model;

import java.util.List;

public class ThemeListBean {

    private Object errCode;
    private Object errMessage;
    private DataBean data;
    private boolean success;

    public Object getErrCode() {
        return errCode;
    }

    public void setErrCode(Object errCode) {
        this.errCode = errCode;
    }

    public Object getErrMessage() {
        return errMessage;
    }

    public void setErrMessage(Object errMessage) {
        this.errMessage = errMessage;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private int offset;
        private String title;
        private String key;
        private List<SectionsBean> sections;

        public int getOffset() {
            return offset;
        }

        public void setOffset(int offset) {
            this.offset = offset;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public List<SectionsBean> getSections() {
            return sections;
        }

        public void setSections(List<SectionsBean> sections) {
            this.sections = sections;
        }

        public static class SectionsBean {
            private int layout;
            private int grid;
            private int type;
            private String title;
            private String key;
            private List<ItemsBean> items;

            public int getLayout() {
                return layout;
            }

            public void setLayout(int layout) {
                this.layout = layout;
            }

            public int getGrid() {
                return grid;
            }

            public void setGrid(int grid) {
                this.grid = grid;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getKey() {
                return key;
            }

            public void setKey(String key) {
                this.key = key;
            }

            public List<ItemsBean> getItems() {
                return items;
            }

            public void setItems(List<ItemsBean> items) {
                this.items = items;
            }

            public static class ItemsBean {
                private String key;
                private String title;
                private int type;
                private String thumbUrl;

                public String getKey() {
                    return key;
                }

                public void setKey(String key) {
                    this.key = key;
                }

                public String getTitle() {
                    return title;
                }

                public void setTitle(String title) {
                    this.title = title;
                }

                public int getType() {
                    return type;
                }

                public void setType(int type) {
                    this.type = type;
                }

                public String getThumbUrl() {
                    return thumbUrl;
                }

                public void setThumbUrl(String thumbUrl) {
                    this.thumbUrl = thumbUrl;
                }
            }
        }
    }
}
